## lyx 2.0.8.1

=== development/scons/SConstruct ===
# vi:filetype=python:expandtab:tabstop=4:shiftwidth=4
#
# file SConstruct
#
# This file is part of LyX, the document processor.
# Licence details can be found in the file COPYING.
#
# \author Bo Peng
# Full author contact details are available in file CREDITS.
#
# This is a scons based building system for lyx, please refer
# to INSTALL.scons for detailed instructions.
#

import os, sys, copy, cPickle, glob, time

# determine where I am ...
#
from SCons.Node.FS import default_fs
# default_fs.SConstruct_dir is where SConstruct file is located.
scons_dir = default_fs.SConstruct_dir.path
scons_absdir = default_fs.SConstruct_dir.abspath

# if SConstruct is copied to the top source directory
if os.path.exists(os.path.join(scons_dir, 'development', 'scons', 'scons_manifest.py')):
    scons_dir = os.path.join(scons_dir, 'development', 'scons')
    scons_absdir = os.path.join(scons_absdir, 'development', 'scons')
# get the ../.. of scons_dir
top_src_dir = os.path.split(os.path.split(scons_absdir)[0])[0]

sys.path.extend([scons_absdir, os.path.join(top_src_dir, 'lib', 'doc')])

# scons_utils.py defines a few utility function
import scons_utils as utils
# import all file lists
from scons_manifest import *

# scons asks for 1.5.2, lyx requires 2.3
EnsurePythonVersion(2, 3)
# Please use at least version 0.97
EnsureSConsVersion(0, 97)

#----------------------------------------------------------
# Global definitions
#----------------------------------------------------------

# some global settings
#
# get version number from configure.ac so that JMarc does
# not have to change SConstruct during lyx release
package_version, majmin_ver, lyx_date = utils.getVerFromConfigure(top_src_dir)
try:
    lyx_major_version = package_version.split('.')[0]
    lyx_minor_version = package_version.split('.')[1]
except IndexError, e:
    lyx_major_version = majmin_ver[0]
    lyx_minor_version = majmin_ver[1]

package_cygwin_version = '%s-1' % package_version
boost_version = ['1_34']

if 'svn' in package_version:
    devel_version = True
    default_build_mode = 'debug'
else:
    devel_version = False
    default_build_mode = 'release'

package = 'lyx'
package_bugreport = 'lyx-devel@lists.lyx.org'
package_name = 'LyX'
package_tarname = 'lyx'
package_string = '%s %s' % (package_name, package_version)

# various cache/log files
default_log_file = 'scons_lyx.log'
opt_cache_file = 'opt.cache'


#----------------------------------------------------------
# platform dependent settings
#----------------------------------------------------------

if os.name == 'nt':
    platform_name = 'win32'
    default_prefix = 'c:/program files/lyx'
    default_with_x = False
    default_packaging_method = 'windows'
elif os.name == 'posix' and sys.platform != 'cygwin':
    platform_name = sys.platform
    default_prefix = '/usr/local'
    default_with_x = True
    default_packaging_method = 'posix'
elif os.name == 'posix' and sys.platform == 'cygwin':
    platform_name = 'cygwin'
    default_prefix = '/usr'
    default_with_x = True
    default_packaging_method = 'posix'
elif os.name == 'darwin':
    platform_name = 'macosx'
    # FIXME: macOSX default prefix?
    default_prefix = '.'
    default_with_x = False
    default_packaging_method = 'macosx'
else:  # unsupported system, assume posix behavior
    platform_name = 'others'
    default_prefix = '.'
    default_with_x = True
    default_packaging_method = 'posix'

#---------------------------------------------------------
# Handling options
#----------------------------------------------------------
#
# You can set perminant default values in config.py
if os.path.isfile('config.py'):
    print "Getting options from config.py..."
    print open('config.py').read()

opts = Variables(['config.py'])
opts.AddVariables(
    # frontend
    EnumVariable('frontend', 'Main GUI', 'qt4',
        allowed_values = ('qt4',) ),
    # debug or release build
    EnumVariable('mode', 'Building method', default_build_mode,
        allowed_values = ('debug', 'release') ),
    # boost libraries
    EnumVariable('boost',
        'Use included, system boost library, or try sytem boost first.',
        'auto', allowed_values = (
            'auto',       # detect boost, if not found, use included
            'included',   # always use included boost
            'system',     # always use system boost, fail if can not find
            ) ),
    #
    EnumVariable('gettext',
        'Use included, system gettext library, or try sytem gettext first',
        'auto', allowed_values = (
            'auto',       # detect gettext, if not found, use included
            'included',   # always use included gettext
            'system',     # always use system gettext, fail if can not find
            ) ),
    #
    EnumVariable('spell', 'Choose spell checker to use.', 'auto',
		allowed_values = ('aspell', 'enchant', 'hunspell', 'auto', 'no') ),
    # packaging method
    EnumVariable('packaging', 'Packaging method to use.', default_packaging_method,
        allowed_values = ('windows', 'posix', 'macosx')),
    #
    BoolVariable('fast_start', 'This option is obsolete.', False),
    # No precompiled header support (too troublesome to make it work for msvc)
    # BoolVariable('pch', 'Whether or not use pch', False),
    # enable assertion, (config.h has ENABLE_ASSERTIOS
    BoolVariable('assertions', 'Use assertions', True),
    # config.h define _GLIBCXX_CONCEPT_CHECKS
    # Note: for earlier version of gcc (3.3) define _GLIBCPP_CONCEPT_CHECKS
    BoolVariable('concept_checks', 'Enable concept checks', True),
    #
    BoolVariable('nls', 'Whether or not use native language support', True),
    #
    BoolVariable('profiling', 'Whether or not enable profiling', False),
    # config.h define _GLIBCXX_DEBUG and _GLIBCXX_DEBUG_PEDANTIC
    BoolVariable('stdlib_debug', 'Whether or not turn on stdlib debug', False),
    # using x11?
    BoolVariable('X11', 'Use x11 windows system', default_with_x),
    # use MS VC++ to build lyx
    BoolVariable('use_vc', 'Use MS VC++ to build lyx (cl.exe will be probed)', None),
    #
    PathVariable('qt_dir', 'Path to qt directory', None),
    #
    PathVariable('qt_inc_path', 'Path to qt include directory', None),
    #
    PathVariable('qt_lib_path', 'Path to qt library directory', None),
    # extra include and libpath
    PathVariable('extra_inc_path', 'Extra include path', None),
    #
    PathVariable('extra_lib_path', 'Extra library path', None),
    #
    PathVariable('extra_bin_path', 'A convenient way to add a path to $PATH', None),
    #
    PathVariable('extra_inc_path1', 'Extra include path', None),
    #
    PathVariable('extra_lib_path1', 'Extra library path', None),
    #
    ('rebuild', 'Obsolete option', None),
    # can be set to a non-existing directory
    ('prefix', 'install architecture-independent files in PREFIX', default_prefix),
    # replace the default name and location of the windows installer
    ('win_installer', 'name or full path to the windows installer', None),
    # the deps package used to create minimal installer (qt and other libraries)
    ('deps_dir', 'path to the development depedency packages with zlib, iconv and qt libraries', None),
    # whether or not build bundle installer
    BoolVariable('bundle', 'Whether or not build bundle installer', False),
    # the bundle directory, containing bundled applications
    PathVariable('bundle_dir', 'path to the bundle dependency package with miktex setup.exe etc', None),
    # build directory, will use $mode if not set
    ('build_dir', 'Build directory', None),
    # version suffix
    ('version_suffix', 'install lyx as lyx-suffix', None),
    # how to load options
    ('load_option', '''load option from previous scons run. option can be
        yes (default): load all options
        no: do not load any option
        opt1,opt2: load specified options
        -opt1,opt2: load all options other than specified ones''', 'yes'),
    #
    ('optimization', 'optimization CCFLAGS option.', None),
    #
    PathVariable('exec_prefix', 'install architecture-independent executable files in PREFIX', None),
    # log file
    ('logfile', 'save commands (not outputs) to logfile', default_log_file),
    # provided for backward compatibility
    ('dest_dir', 'install to DESTDIR. (Provided for backward compatibility only)', None),
    # environment variable can be set as options.
    ('DESTDIR', 'install to DESTDIR', None),
    ('CC', 'replace default $CC', None),
    ('LINK', 'replace default $LINK', None),
    ('CPP', 'replace default $CPP', None),
    ('CXX', 'replace default $CXX', None),
    ('CXXCPP', 'replace default $CXXCPP', None),
    ('CCFLAGS', 'replace default $CCFLAGS', None),
    ('CPPFLAGS', 'replace default $CPPFLAGS', None),
    ('LINKFLAGS', 'replace default $LINKFLAGS', None),
)

# allowed options
all_options = [x.key for x in opts.options]

# copied from SCons/Variables/BoolVariable.py
# We need to use them before a boolean ARGUMENTS option is available
# in env as bool.
true_strings  = ('y', 'yes', 'true', 't', '1', 'on' , 'all' )
false_strings = ('n', 'no', 'false', 'f', '0', 'off', 'none')

if ARGUMENTS.has_key('fast_start'):
    print 'fast_start option is obsolete'

# if load_option=yes (default), load saved comand line options
#
# This option can take value yes/no/opt1,opt2/-opt1,opt2
# and tries to be clever in choosing options to load
if (not ARGUMENTS.has_key('load_option') or \
    ARGUMENTS['load_option'] not in false_strings) \
    and os.path.isfile(opt_cache_file):
    cache_file = open(opt_cache_file)
    opt_cache = cPickle.load(cache_file)
    cache_file.close()
    # import cached options, but we should ignore qt_dir when frontend changes
    if ARGUMENTS.has_key('frontend') and opt_cache.has_key('frontend') \
        and ARGUMENTS['frontend'] != opt_cache['frontend'] \
        and opt_cache.has_key('qt_dir'):
        opt_cache.pop('qt_dir')
    # and we do not cache some options (dest_dir is obsolete)
    for arg in ['load_option', 'dest_dir', 'bundle']:
        if opt_cache.has_key(arg):
            opt_cache.pop(arg)
    # remove obsolete cached keys (well, SConstruct is evolving. :-)
    for arg in opt_cache.keys():
        if arg not in all_options:
            print 'Option %s is obsolete, do not load it' % arg
            opt_cache.pop(arg)
    # now, if load_option=opt1,opt2 or -opt1,opt2
    if ARGUMENTS.has_key('load_option') and \
        ARGUMENTS['load_option'] not in true_strings + false_strings:
        # if -opt1,opt2 is specified, do not load these options
        if ARGUMENTS['load_option'][0] == '-':
            for arg in ARGUMENTS['load_option'][1:].split(','):
                if opt_cache.has_key(arg):
                    opt_cache.pop(arg)
        # if opt1,opt2 is specified, only load specified options
        else:
            args = ARGUMENTS['load_option'].split(',')
            for arg in opt_cache.keys():
                if arg not in args:
                    opt_cache.pop(arg)
    # now restore options as if entered from command line
    for key in opt_cache.keys():
        if not ARGUMENTS.has_key(key):
            ARGUMENTS[key] = opt_cache[key]
            print "Restoring cached option  %s=%s" % (key, ARGUMENTS[key])
    print

# check if there is unused (or misspelled) argument
for arg in ARGUMENTS.keys():
    if arg not in all_options:
        import textwrap
        print "Unknown option '%s'... exiting." % arg
        print
        print "Available options are (check 'scons -help' for details):"
        print '    ' + '\n    '.join(textwrap.wrap(',  '.join(all_options)))
        Exit(1)

# save options used
cache_file = open(opt_cache_file, 'w')
cPickle.dump(ARGUMENTS, cache_file)
cache_file.close()

#---------------------------------------------------------
# Setting up environment
#---------------------------------------------------------

# I do not really like ENV=os.environ, but you may add it

=== development/cmake/intl/CMakeLists.txt ===
# This file is part of LyX, the document processor.
# Licence details can be found in the file COPYING.
#
# Copyright (c) 2006,2011 Peter Kümmel, <syntheticpp@gmx.net>
#

project(intl) 

# libgnuintl.h.in => libintl.h
configure_file(libgnuintl.h ${CMAKE_CURRENT_BINARY_DIR}/libgnuintl.h COPYONLY)
configure_file(libgnuintl.h ${CMAKE_CURRENT_BINARY_DIR}/libintl.h COPYONLY)


add_definitions(
	-DHAVE_CONFIG_H=1
	-DMAKE_INTL_LIB
	-DIN_LIBINTL
	-DENABLE_RELOCATABLE=1
	-DIN_LIBRARY
	-DNO_XMALLOC
	-Dset_relocation_prefix=libintl_set_relocation_prefix
	-Drelocate=libintl_relocate
	-DDEPENDS_ON_LIBICONV=1)
    
if(NOT APPLE)    
	add_definitions(
		-DLOCALEDIR=\\"${LOACLE_DIR}\\" 
		-DLOCALE_ALIAS_PATH=\\"${LOACLE_DIR}\\"
		-DLIBDIR=\\"${TOP_SRC_DIR}\\"
		-DINSTALLDIR=\\"${PREFIX}\\" )
else()
	add_definitions(
		-DLOCALEDIR='\"${LOCALE_DIR}\"' 
		-DLOCALE_ALIAS_PATH='\"${LOCALE_DIR}\"'
		-DLIBDIR='\"${TOP_SRC_DIR}\"'
		-DINSTALLDIR='\"${PREFIX}\"' )
endif()

file(GLOB intl_headers ${TOP_SRC_DIR}/intl/*.h)

set(intl_sources 
	bindtextdom.c
	dcgettext.c
	dgettext.c
	gettext.c
	finddomain.c
	loadmsgcat.c
	localealias.c
	textdomain.c
	l10nflist.c
	explodename.c
	dcigettext.c
	dcngettext.c
	dngettext.c
	ngettext.c
	plural.c
	plural-exp.c
	localcharset.c
	relocatable.c
	localename.c
	log.c
	printf.c
	osdep.c
	intl-compat.c
	langprefs.c
)

lyx_add_path(intl_sources ${TOP_SRC_DIR}/intl)

include_directories(${TOP_SRC_DIR}/intl ${CMAKE_CURRENT_BINARY_DIR})

if(ICONV_FOUND)
	include_directories(${ICONV_INCLUDE_DIR})
endif()

add_library(intl STATIC ${intl_sources} ${intl_headers})
set(LIBINTL_LIBRARIES intl)

if(ICONV_FOUND)
	target_link_libraries(intl ${ICONV_LIBRARY})
endif()

project_source_group("${GROUP_CODE}" intl_sources intl_headers)

=== development/cmake/man/CMakeLists.txt ===
# This file is part of LyX, the document processor.
# Licence details can be found in the file COPYING.
#
# Copyright (c) 2008-2011 Peter Kümmel, <syntheticpp@gmx.net>
# Copyright (c) 2008-2011 Kornel Benko, <Kornel.Benko@berlin.de>
#

project(man)

SET(_manuals)
set(program_suffix ${PROGRAM_SUFFIX})
set(version_suffix ${PROGRAM_SUFFIX})
set(VERSION "${LYX_MAJOR_VERSION}.${LYX_MINOR_VERSION}")

macro(add_manual _mansrc)
	get_filename_component(_mandest ${_mansrc} NAME_WE)
	SET(_created_manual "${CMAKE_CURRENT_BINARY_DIR}/${_mandest}${PROGRAM_SUFFIX}.1")
	configure_file("${TOP_SRC_DIR}/${_mansrc}" ${_created_manual} @ONLY)
	SET_SOURCE_FILES_PROPERTIES(${_created_manual} GENERATED)
	LIST(APPEND _manuals ${_created_manual})
endmacro(add_manual)

set(real_pkgdatadir ${LYX_ABS_INSTALLED_DATADIR})
foreach(_mn lyx.1in src/client/lyxclient.1in src/tex2lyx/tex2lyx.1in)
	add_manual(${_mn})
endforeach(_mn)

ADD_CUSTOM_TARGET(man ALL DEPENDS ${_manuals})

install(FILES ${_manuals} DESTINATION ${LYX_DATA_SUBDIR}man/man1)

# ADD_MANUALS("lyx")

=== development/cmake/po/CMakeLists.txt ===
# This file is part of LyX, the document processor.
# Licence details can be found in the file COPYING.
#
# Copyright (c) 2008-2011 Peter Kümmel, <syntheticpp@gmx.net>
# Copyright (c) 2008-2011 Kornel Benko, <Kornel.Benko@berlin.de>
#

project(po)

include_directories(${TOP_SRC_DIR}/po)

SET(_lyxname ${PACKAGE})
SET(_py_sources)
macro(add_gettext_python  _par _dir)
  set(_sources)
  foreach(_arg ${ARGN})
    file(GLOB _s1 ${TOP_SRC_DIR}/${_dir}/${_arg})
    list(SORT _s1)
    list(APPEND _sources ${_s1})
  endforeach(_arg)
  if (${_par} MATCHES "layouttranslations")
    SET(_dst "${CMAKE_CURRENT_BINARY_DIR}/${_par}")
  else ()
    SET(_dst "${CMAKE_CURRENT_BINARY_DIR}/${_par}_l10n.pot")
  endif()
  SET(_tmp_src_files "${CMAKE_CURRENT_BINARY_DIR}/${_par}_tmp_files")
  SET(_src_files "${CMAKE_CURRENT_BINARY_DIR}/${_par}_files")
  file(WRITE ${_tmp_src_files} "")
  foreach(_s ${_sources})
    FILE(APPEND ${_tmp_src_files} "${_s}\n")
  endforeach()
  if(${_par} MATCHES "^\(.*\)_[0-9]+$")
    set(_par1 ${CMAKE_MATCH_1})
  else()
    set(_par1 ${_par})
  endif()
  ADD_CUSTOM_COMMAND(
    OUTPUT ${_src_files}
    COMMAND ${CMAKE_COMMAND} -E copy_if_different ${_tmp_src_files} ${_src_files}
    DEPENDS ${_tmp_src_files}
  )
  if (${_par} MATCHES "layouttranslations")
    ADD_CUSTOM_COMMAND(
      OUTPUT "${_dst}"
      PRE_BUILD
      COMMAND  ${CMAKE_COMMAND} -E copy_if_different "${TOP_SRC_DIR}/lib/layouttranslations" "${_dst}"
      COMMAND ${LYX_PYTHON_EXECUTABLE}
      ARGS "${TOP_SRC_DIR}/po/lyx_pot.py" -b "${TOP_SRC_DIR}" -o "${_dst}" -t ${_par1} "--src_file=${_src_files}"
      COMMAND  ${CMAKE_COMMAND} -E copy_if_different "${_dst}" "${TOP_SRC_DIR}/lib/layouttranslations"
      DEPENDS ${_sources} ${_src_files} "${TOP_SRC_DIR}/lib/layouttranslations"
      COMMENT "${LYX_PYTHON_EXECUTABLE} ${TOP_SRC_DIR}/po/lyx_pot.py -b ${TOP_SRC_DIR} -o  ${_dst} -t ${_par1} --src_file=${_src_files}"
      )
    ADD_CUSTOM_TARGET(layouttranslations1 DEPENDS "${_dst}")
    if (LYX_DATA_SUBDIR STREQUAL "")
      install(FILES "${TOP_SRC_DIR}/lib/layouttranslations" DESTINATION .)
    else()
      install(FILES "${TOP_SRC_DIR}/lib/layouttranslations" DESTINATION ${LYX_DATA_SUBDIR})
    endif()
  else()
    ADD_CUSTOM_COMMAND(
      OUTPUT "${_dst}"
      PRE_BUILD
      COMMAND ${LYX_PYTHON_EXECUTABLE}
      ARGS "${TOP_SRC_DIR}/po/lyx_pot.py" -b "${TOP_SRC_DIR}" -o "${_dst}" -t ${_par1} "--src_file=${_src_files}"
      DEPENDS ${_sources} ${_src_files}
      COMMENT "${LYX_PYTHON_EXECUTABLE} ${TOP_SRC_DIR}/po/lyx_pot.py -b ${TOP_SRC_DIR} -o  ${_dst} -t ${_par1} --src_file=${_src_files}"
      )
    LIST(APPEND _py_sources "${_dst}")
  endif()
  SET_SOURCE_FILES_PROPERTIES("${_dst}" GENERATED)
  SET_SOURCE_FILES_PROPERTIES("${_src_files}" GENERATED)
endmacro(add_gettext_python)

SET_SOURCE_FILES_PROPERTIES("${CMAKE_CURRENT_BINARY_DIR}/${_lyxname}.cat.pot" GENERATED)
SET_SOURCE_FILES_PROPERTIES("${CMAKE_CURRENT_BINARY_DIR}/${_lyxname}.fmt.pot" GENERATED)
SET_SOURCE_FILES_PROPERTIES("${CMAKE_CURRENT_BINARY_DIR}/${_lyxname}.pot" GENERATED)

add_gettext_python(qt4 src/frontends/qt4/ui *.ui)
add_gettext_python(layouts lib/layouts *.layout *.inc *.module)
add_gettext_python(languages lib languages)
add_gettext_python(encodings lib encodings)
add_gettext_python(ui lib/ui *.ui *.inc)
add_gettext_python(external lib external_templates)
add_gettext_python(formats lib configure.py)
add_gettext_python(layouttranslations lib/layouts *.layout *.inc *.module)

ADD_CUSTOM_COMMAND(
    OUTPUT "${CMAKE_CURRENT_BINARY_DIR}/${_lyxname}.cat.pot"
    COMMAND ${LYX_PYTHON_EXECUTABLE}
    ARGS   "${CMAKE_SOURCE_DIR}/po/cat.py" ${_py_sources} > "${CMAKE_CURRENT_BINARY_DIR}/${_lyxname}.cat.pot"
    DEPENDS ${_py_sources}
    )

ADD_CUSTOM_COMMAND(
    OUTPUT "${CMAKE_CURRENT_BINARY_DIR}/${_lyxname}.fmt.pot"
    COMMAND ${GETTEXT_MSGUNIQ_EXECUTABLE}
    ARGS -o "${CMAKE_CURRENT_BINARY_DIR}/${_lyxname}.fmt.pot" "${CMAKE_CURRENT_BINARY_DIR}/${_lyxname}.cat.pot"
    DEPENDS "${CMAKE_CURRENT_BINARY_DIR}/${_lyxname}.cat.pot"
    )

SET(_potfiles_dep)

file(WRITE ${CMAKE_CURRENT_BINARY_DIR}/POTFILES.in "")
file(GLOB_RECURSE _tmp_potfiles RELATIVE ${TOP_SRC_DIR}/ ${TOP_SRC_DIR}/src/*.h  ${TOP_SRC_DIR}/src/*.cpp  ${TOP_SRC_DIR}/src/*.cpp.in)
list(SORT _tmp_potfiles)
# list(REMOVE_ITEM _tmp_potfiles src/support/Package.cpp)

foreach(_f ${_tmp_potfiles})
  # we don't need to select only relevant files because the outcome of xgettext
  # will stay the same.
  # Relevant files are files containing the string '_(".*")'
  LIST(APPEND _potfiles_dep "${TOP_SRC_DIR}/${_f}")
  file(APPEND ${CMAKE_CURRENT_BINARY_DIR}/POTFILES.in "${_f}\n")
endforeach(_f)

ADD_CUSTOM_COMMAND(
    OUTPUT "${CMAKE_CURRENT_BINARY_DIR}/${_lyxname}.pot"
    COMMAND ${CMAKE_COMMAND} -E copy "${CMAKE_CURRENT_BINARY_DIR}/${_lyxname}.fmt.pot" "${CMAKE_CURRENT_BINARY_DIR}/${_lyxname}.pot"
    COMMAND ${GETTEXT_XGETTEXT_EXECUTABLE}
    ARGS --default-domain=${_lyxname} --directory=${TOP_SRC_DIR} --add-comments=TRANSLATORS: --language=C++ --join-existing --keyword=_ --keyword=N_ --keyword=B_ --keyword=qt_ --files-from="${CMAKE_CURRENT_BINARY_DIR}/POTFILES.in" --copyright-holder="LyX Developers" --msgid-bugs-address=lyx-devel@lists.lyx.org -o "${CMAKE_CURRENT_BINARY_DIR}/${_lyxname}.pot"
    DEPENDS "${CMAKE_CURRENT_BINARY_DIR}/${_lyxname}.fmt.pot" ${_potfiles_dep}
    )

#
# We have to copy the po-files first,
# otherwise they would be modified (inside the macro GETTEXT_CREATE_TRANSLATIONS())
# This makes the "svn up" on po-files work again
file(GLOB LYX_BASE_PO_FILES RELATIVE ${TOP_SRC_DIR}/po ${TOP_SRC_DIR}/po/*.po)
set(LYX_PO_FILES)
SET(LYX_UPDATED_PO_FILES)
SET(LYX_DEST_PO ${TOP_SRC_DIR}/po)

foreach(_pofile ${LYX_BASE_PO_FILES})
  add_custom_command(
    OUTPUT ${CMAKE_CURRENT_BINARY_DIR}/${_pofile}
    COMMAND ${CMAKE_COMMAND} -E copy ${TOP_SRC_DIR}/po/${_pofile} ${CMAKE_CURRENT_BINARY_DIR}/${_pofile}
    DEPENDS ${TOP_SRC_DIR}/po/${_pofile}
    )
  list(APPEND LYX_PO_FILES ${CMAKE_CURRENT_BINARY_DIR}/${_pofile})
endforeach(_pofile)

foreach(_pofile ${LYX_BASE_PO_FILES})
  add_custom_command(
    OUTPUT ${CMAKE_CURRENT_BINARY_DIR}/${_pofile}.copied
    COMMAND ${CMAKE_COMMAND} -E copy_if_different ${CMAKE_CURRENT_BINARY_DIR}/${_pofile} ${LYX_DEST_PO}/${_pofile}
    COMMAND ${CMAKE_COMMAND} -E touch ${_pofile}.copied
    DEPENDS ${CMAKE_CURRENT_BINARY_DIR}/${_pofile}
    )
  list(APPEND LYX_UPDATED_PO_FILES ${CMAKE_CURRENT_BINARY_DIR}/${_pofile}.copied)
endforeach(_pofile)

if(LYX_CPACK OR LYX_INSTALL)
  set(_addALLOption ALL)
endif()
GETTEXT_CREATE_TRANSLATIONS(${CMAKE_CURRENT_BINARY_DIR}/${_lyxname}.pot ${_addALLOption} ${LYX_PO_FILES})

# ALL omitted here, to prevent from automatic creation
ADD_CUSTOM_TARGET(update_po_files DEPENDS ${LYX_UPDATED_PO_FILES})
add_dependencies(update_po_files translations)

# ADD_POFILES("lyx")

=== development/cmake/src/CMakeLists.txt ===
# This file is part of LyX, the document processor.
# Licence details can be found in the file COPYING.
#
# Copyright (c) 2006-2011 Peter Kmmel, <syntheticpp@gmx.net>
#

set(_lyx ${PACKAGE_BASE}${PROGRAM_SUFFIX})
project(${_lyx})

include_directories(${TOP_SRC_DIR}/src)

add_subdirectory(frontends)
add_subdirectory(graphics)
add_subdirectory(insets)
add_subdirectory(mathed)
add_subdirectory(support)
add_subdirectory(tex2lyx)
if (UNIX)
	add_subdirectory(client)
endif()

file(GLOB lyx_sources ${TOP_SRC_DIR}/src/${LYX_CPP_FILES})
file(GLOB moc_files ${TOP_SRC_DIR}/src/${LYX_MOC_FILES})
list(REMOVE_ITEM  lyx_sources ${moc_files} .)
file(GLOB lyx_headers ${TOP_SRC_DIR}/src/${LYX_HPP_FILES})

list(REMOVE_ITEM lyx_sources
	${TOP_SRC_DIR}/src/Variables.cpp
	${TOP_SRC_DIR}/src/Section.cpp
	${TOP_SRC_DIR}/src/lyxcore.cpp
	${TOP_SRC_DIR}/src/lyxinsets.cpp
	${TOP_SRC_DIR}/src/lyxmathed.cpp)

list(REMOVE_ITEM lyx_headers
	${TOP_SRC_DIR}/src/Variables.h
	${TOP_SRC_DIR}/src/Section.h)

if(NOT APPLE)
	list(REMOVE_ITEM lyx_sources ${TOP_SRC_DIR}/src/AppleSpellChecker.cpp)
	list(REMOVE_ITEM lyx_headers ${TOP_SRC_DIR}/src/AppleSpellChecker.h)
endif()

if(NOT ASPELL_FOUND)
	list(REMOVE_ITEM lyx_sources ${TOP_SRC_DIR}/src/AspellChecker.cpp)
	list(REMOVE_ITEM lyx_headers ${TOP_SRC_DIR}/src/AspellChecker.h)
else()
	set(dont_merge ${dont_merge} ${TOP_SRC_DIR}/src/AspellChecker.cpp)
endif()

if(NOT ENCHANT_FOUND)
	list(REMOVE_ITEM lyx_sources ${TOP_SRC_DIR}/src/EnchantChecker.cpp)
	list(REMOVE_ITEM lyx_headers ${TOP_SRC_DIR}/src/EnchantChecker.h)
else()
	set(dont_merge ${dont_merge} ${TOP_SRC_DIR}/src/EnchantChecker.cpp)
endif()

if(NOT HUNSPELL_FOUND)
	list(REMOVE_ITEM lyx_sources ${TOP_SRC_DIR}/src/HunspellChecker.cpp)
	list(REMOVE_ITEM lyx_headers ${TOP_SRC_DIR}/src/HunspellChecker.h)
else()
	set(dont_merge ${dont_merge} ${TOP_SRC_DIR}/src/HunspellChecker.cpp)
endif()


lyx_automoc(${TOP_SRC_DIR}/src/Compare.cpp)
if(WIN32)
	lyx_automoc(${TOP_SRC_DIR}/src/Server.cpp)
endif()

include_directories(${CMAKE_CURRENT_BINARY_DIR}
	${ZLIB_INCLUDE_DIR} ${QT_INCLUDES})

lyx_add_msvc_pch(lyx)

if (LYX_DEVEL_VERSION)
	add_definitions(-DDEVEL_VERSION)
endif()

if (LYX_MERGE_FILES)
	if(dont_merge)
		list(REMOVE_ITEM lyx_sources ${dont_merge})
	endif()
	lyx_const_touched_files(_allinone lyx_sources)
	set(lyx_sources ${_allinone_files} ${dont_merge})
endif()

if (LYX_VLD)
	configure_file(${vld_path}/vld.ini ${CMAKE_CURRENT_BINARY_DIR}/vld.ini COPYONLY)
	configure_file(${vld_path}/vld.ini ${CMAKE_CURRENT_BINARY_DIR}/memory_leak_report.txt COPYONLY)
	set(vld_files ${CMAKE_CURRENT_BINARY_DIR}/vld.ini ${CMAKE_CURRENT_BINARY_DIR}/memory_leak_report.txt)
endif()

if(WIN32)
	set(FILE_RC ${CMAKE_SOURCE_DIR}/lyx.rc)
	message(STATUS "Using icon defined in resource file: ${FILE_RC}")
endif()

lyx_find_info_files(LyXInfoFiles ${TOP_SRC_DIR}/*)
lyx_find_info_files(LyXCMakeFiles ${TOP_SRC_DIR}/development/cmake/*.txt)
lyx_find_info_files(LyXCMakeFiles ${TOP_SRC_DIR}/development/cmake/*.cmake)
lyx_find_info_files(LyXCMakeFiles ${TOP_SRC_DIR}/development/cmake/*.h)
lyx_find_info_files(LyXCMakeFiles ${TOP_SRC_DIR}/development/cmake/*.msvc)
lyx_find_info_files(LyXCMakeFiles ${TOP_SRC_DIR}/development/cmake/modules/*)
lyx_find_info_files(LyXUiFiles ${TOP_SRC_DIR}/lib/ui/*)

add_executable(${_lyx}
	${WIN32_CONSOLE}
	${lyx_sources}
	${lyx_headers}
	${vld_files}
	${FILE_RC}
	${lyx_info_files}
	${lyx_cmake_files}
)

lyx_add_gcc_pch(${_lyx})

target_link_libraries(${_lyx}
	mathed
	insets
	frontends
	frontend_qt4
	graphics
	support
	${LIBINTL_LIBRARIES}
	${ICONV_LIBRARY}
	${QT_QTMAIN_LIBRARY}
	${vld_dll})

if(HUNSPELL_FOUND)
	target_link_libraries(${_lyx} ${HUNSPELL_LIBRARY})
endif()
if(ASPELL_FOUND)
	target_link_libraries(${_lyx} ${ASPELL_LIBRARY})
endif()
if(ENCHANT_FOUND)
	target_link_libraries(${_lyx} ${ENCHANT_LIBRARY})
endif()

if(APPLE)
	target_link_libraries(${_lyx} "-bind_at_load")
	target_link_libraries(${_lyx} "-framework AppKit")
endif()

if(MINGW)
	target_link_libraries(${_lyx} ole32)
endif()

project_source_group("${GROUP_CODE}" lyx_sources lyx_headers)

install(TARGETS ${_lyx} DESTINATION bin)

=== development/cmake/boost/libs/CMakeLists.txt ===
# This file is part of LyX, the document processor.
# Licence details can be found in the file COPYING.
#
# Copyright (c) 2010-2011 Peter Kümmel, <syntheticpp@gmx.net>
#

project(boost)


if(LYX_USE_TR1_REGEX)
	message(STATUS "Using TR1 regex")
else()
	add_subdirectory(regex) 
endif()


add_subdirectory(signals)

=== development/cmake/src/frontends/CMakeLists.txt ===
# This file is part of LyX, the document processor.
# Licence details can be found in the file COPYING.
#
# Copyright (c) 2006-2011 Peter Kmmel, <syntheticpp@gmx.net>
#

project(frontends)

include_directories(${TOP_SRC_DIR}/src/frontends)

add_subdirectory(qt4) 

file(GLOB frontends_sources ${TOP_SRC_DIR}/src/frontends/${LYX_CPP_FILES})
file(GLOB frontends_headers ${TOP_SRC_DIR}/src/frontends/${LYX_HPP_FILES})


if(NOT LYX_MERGE_FILES)
	add_library(frontends ${library_type} ${frontends_sources} ${frontends_headers})
else()
	lyx_const_touched_files(_allinone  frontends_sources)
	add_library(frontends ${library_type} ${_allinone_files})
endif()

target_link_libraries(frontends ${Lyx_Boost_Libraries})

project_source_group("${GROUP_CODE}" frontends_sources frontends_headers)

=== development/cmake/src/graphics/CMakeLists.txt ===
# This file is part of LyX, the document processor.
# Licence details can be found in the file COPYING.
#
# Copyright (c) 2006-2011 Peter Kmmel, <syntheticpp@gmx.net>
#

project(graphics)

file(GLOB graphics_sources ${TOP_SRC_DIR}/src/graphics/${LYX_CPP_FILES})
file(GLOB graphics_headers ${TOP_SRC_DIR}/src/graphics/${LYX_HPP_FILES})

lyx_add_msvc_pch(graphics)


include_directories(${TOP_SRC_DIR}/src/graphics
                    ${QT_INCLUDES}
)

if(NOT LYX_MERGE_FILES)
	add_library(graphics ${library_type} ${graphics_sources} ${graphics_headers})
else()
	lyx_const_touched_files(_allinone  graphics_sources)
	add_library(graphics ${library_type} ${_allinone_files})
endif()

lyx_add_gcc_pch(graphics)

project_source_group("${GROUP_CODE}" graphics_sources graphics_headers)

=== development/cmake/src/insets/CMakeLists.txt ===
# This file is part of LyX, the document processor.
# Licence details can be found in the file COPYING.
#
# Copyright (c) 2006-2011 Peter Kmmel, <syntheticpp@gmx.net>
#

project(insets)

file(GLOB insets_sources ${TOP_SRC_DIR}/src/insets/${LYX_CPP_FILES})
file(GLOB insets_headers ${TOP_SRC_DIR}/src/insets/${LYX_HPP_FILES})

list(REMOVE_ITEM insets_sources ${TOP_SRC_DIR}/src/insets/InsetTheorem.cpp)

lyx_add_msvc_pch(insets)

include_directories(${TOP_SRC_DIR}/src/insets ${QT_INCLUDES})


if(NOT LYX_MERGE_FILES)
	add_library(insets ${library_type} ${insets_sources} ${insets_headers})
else()
	lyx_const_touched_files(_allinone  insets_sources)
	add_library(insets ${library_type} ${_allinone_files})
endif()

lyx_add_gcc_pch(insets)

project_source_group("${GROUP_CODE}" insets_sources insets_headers)

=== development/cmake/src/mathed/CMakeLists.txt ===
# This file is part of LyX, the document processor.
# Licence details can be found in the file COPYING.
#
# Copyright (c) 2006-2011, Peter Kmmel, <syntheticpp@gmx.net>
#

project(mathed)

file(GLOB mathed_sources ${TOP_SRC_DIR}/src/mathed/${LYX_CPP_FILES})
file(GLOB mathed_headers ${TOP_SRC_DIR}/src/mathed/${LYX_HPP_FILES})

list(REMOVE_ITEM mathed_sources
	${TOP_SRC_DIR}/src/mathed/InsetMathXYArrow.cpp
	${TOP_SRC_DIR}/src/mathed/InsetFormulaMacro.cpp)

lyx_add_msvc_pch(mathed)

include_directories(${TOP_SRC_DIR}/src/mathed)

if(NOT LYX_MERGE_FILES)
	add_library(mathed ${library_type} ${mathed_sources} ${mathed_headers})
else()
	lyx_const_touched_files(_allinone  mathed_sources)
	add_library(mathed ${library_type} ${_allinone_files})
endif()

lyx_add_gcc_pch(mathed)

project_source_group("${GROUP_CODE}" mathed_sources mathed_headers)

=== development/cmake/src/support/CMakeLists.txt ===
# This file is part of LyX, the document processor.
# Licence details can be found in the file COPYING.
#
# Copyright (c) 2006-2011 Peter Kümmel, <syntheticpp@gmx.net>
#

project(support)

file(GLOB support_sources ${TOP_SRC_DIR}/src/support/${LYX_CPP_FILES})
file(GLOB moc_files ${TOP_SRC_DIR}/src/support/${LYX_MOC_FILES})
list(REMOVE_ITEM support_sources ${moc_files} .)
if(APPLE)
	list(APPEND dont_merge ${TOP_SRC_DIR}/src/support/AppleSpeller.m)
endif()

file(GLOB support_headers ${TOP_SRC_DIR}/src/support/${LYX_HPP_FILES})

file(GLOB support_mythes_sources ${TOP_SRC_DIR}/src/support/mythes/*.cxx)
file(GLOB support_mythes_headers ${TOP_SRC_DIR}/src/support/mythes/*.hxx)

file(GLOB support_linkback_sources ${TOP_SRC_DIR}/src/support/linkback/*.m*)
file(GLOB support_linkback_headers ${TOP_SRC_DIR}/src/support/linkback/*.h)

list(REMOVE_ITEM support_sources
	${TOP_SRC_DIR}/src/support/os_win32.cpp
	${TOP_SRC_DIR}/src/support/os_unix.cpp
	${TOP_SRC_DIR}/src/support/os_cygwin.cpp
	${TOP_SRC_DIR}/src/support/os_os2.C
	${TOP_SRC_DIR}/src/support/atexit.c
	${TOP_SRC_DIR}/src/support/strerror.c
	${TOP_SRC_DIR}/src/support/gettext.cpp)

if(APPLE)
	message(STATUS "Mac LinkBack support")
else()
	set(support_linkback_sources "")
	set(support_linkback_headers "")
endif()

# needed to compile tex2lyx in merged mode
set(dont_merge ${dont_merge} ${TOP_SRC_DIR}/src/support/gettext.cpp)

lyx_add_msvc_pch(support)

lyx_automoc(${support_sources})

include_directories(${TOP_SRC_DIR}/src/support
	${CMAKE_BINARY_DIR}/src/support
	${TOP_SRC_DIR}/src/support/mythes
	${QT_INCLUDES}
	${ICONV_INCLUDE_DIR}
	${ZLIB_INCLUDE_DIR})


if(NOT LYX_MERGE_FILES)
	set(support_sources ${support_sources} ${support_mythes_sources} ${support_linkback_sources})
	set(support_headers ${support_headers} ${support_mythes_headers} ${support_linkback_headers})
	add_library(support ${library_type} ${support_sources} ${support_headers} ${dont_merge})
else()
	# GCC bug: gcc resolves ::bind as boost::bind
	set(support_separate ${TOP_SRC_DIR}/src/support/socktools.cpp ${TOP_SRC_DIR}/src/support/Messages.cpp)
	list(REMOVE_ITEM support_sources ${support_separate})
	lyx_const_touched_files(_allinone  support_sources)
	set(depends_moc ${support_headers})
	set_source_files_properties(_allinone_const.C
		PROPERTIES OBJECT_DEPENDS "${depends_moc}")
	set_source_files_properties(_allinone_touched.C
		PROPERTIES OBJECT_DEPENDS "${depends_moc}")
	add_library(support ${library_type} ${_allinone_files} ${support_separate}
		${support_mythes_sources} ${support_linkback_sources} ${support_headers} ${dont_merge})
endif()

target_link_libraries(support ${Lyx_Boost_Libraries} ${QT_QTCORE_LIBRARY} ${ZLIB_LIBRARY})

lyx_add_gcc_pch(support)

if(APPLE)
	target_link_libraries(support "objc" "-framework AppKit" "-framework CoreFoundation")
elseif(WIN32)
	target_link_libraries(support shlwapi psapi)
endif()

project_source_group("${GROUP_CODE}" support_sources support_headers)

=== development/cmake/boost/libs/regex/CMakeLists.txt ===
# This file is part of LyX, the document processor.
# Licence details can be found in the file COPYING.
#
# Copyright (c) 2006-2011 Peter Kümmel, <syntheticpp@gmx.net>
#

project(boost_regex)

set(boost_regex_sources
	cpp_regex_traits.cpp
	c_regex_traits.cpp
	cregex.cpp
	fileiter.cpp
	instances.cpp
	regex.cpp
	regex_raw_buffer.cpp
	regex_traits_defaults.cpp
	w32_regex_traits.cpp)

lyx_add_path(boost_regex_sources ${TOP_SRC_DIR}/boost/libs/regex/src)

add_library(boost_regex STATIC ${boost_regex_sources})

=== debian/changelog ===
lyx (2.0.8.1-0ubuntu1) trusty; urgency=medium

  * New upstream microrelease 2.0.8.1 (LP: #1303688)

 -- Iain Lane <iain@orangesquash.org.uk>  Mon, 22 Jun 2015 17:58:21 +0100

=== debian/rules ===
#!/usr/bin/make -f

export DEB_LDFLAGS_MAINT_PREPEND := -Wl,-z,defs -Wl,--as-needed

%:
	dh $@ --with autotools_dev,python2,tex --builddirectory

override_dh_auto_configure:
	dh_auto_configure -- \
		--disable-rpath \
		--enable-warnings \
		--enable-nls \
		--with-gnu-ld \
		--without-aspell \
		--without-hunspell \
		--with-enchant \
		--with-x \
		--without-included-gettext \
		--without-included-boost \
		--without-included-mythes \

override_dh_auto_install:
	dh_auto_install --destdir=debian/lyx-common

# move binaries to arch package
	mkdir -p debian/lyx/usr/share
	mv debian/lyx-common/usr/bin debian/lyx/usr/bin
	mv debian/lyx-common/usr/share/man debian/lyx/usr/share/man

# move fonts to font package
	mkdir -p debian/fonts-lyx/usr/share/fonts/truetype
	mv debian/lyx-common/usr/share/lyx/fonts \
		debian/fonts-lyx/usr/share/fonts/truetype/lyx

# move tex files to correct place
	mkdir -p debian/lyx-common/usr/share/texmf/tex/latex
	mv debian/lyx-common/usr/share/lyx/tex \
		debian/lyx-common/usr/share/texmf/tex/latex/lyx

# make script executable
	chmod 755 debian/lyx-common/usr/share/lyx/scripts/listerrors

# handle font documentation
	mkdir -p debian/fonts-lyx/usr/share/doc/fonts-lyx
	mv debian/fonts-lyx/usr/share/fonts/truetype/lyx/ReadmeBaKoMa4LyX.txt \
		debian/fonts-lyx/usr/share/doc/fonts-lyx/
	rm debian/fonts-lyx/usr/share/fonts/truetype/lyx/BaKoMaFontLicense.txt

override_dh_installdocs:
	mkdir -p debian/lyx/usr/share/doc
	ln -s lyx-common debian/lyx/usr/share/doc/lyx

	mkdir -p debian/lyx-dbg/usr/share/doc
	ln -s lyx debian/lyx-dbg/usr/share/doc/lyx-dbg

	dh_installdocs

override_dh_python2:
	dh_python2 /usr/share/lyx

override_dh_installtex:
	dh_installtex -plyx-common

override_dh_strip:
	dh_strip --dbg-package=lyx-dbg

override_dh_builddeb:
	dh_builddeb -- -Z xz

=== debian/watch ===
version=3
ftp://ftp.lyx.org/pub/lyx/stable/2.0.x/lyx-([\d\.]+)\.tar\.xz

## lyx 2.1.2

=== debian/changelog ===
lyx (2.1.2-2) unstable; urgency=low

  * Update d/watch to the 2.1.x series path.
  * LyX upstream provides its own .desktop file now. Remove the debian
    version and move the upstream file to the arch package.
    Closes: #762986, #763230

 -- Sven Hoexter <hoexter@debian.org>  Mon, 29 Sep 2014 12:59:04 +0200

lyx (2.1.2-1) unstable; urgency=low

  * New upstream release.
    + Updated prefer-xdg-open patch.
  * Add --disable-silent-rules to the list of configure flags.
    http://lists.debian.org/debian-devel/2013/06/msg00539.html
  * Add libmagic-dev to build-depends.
  * Add bc to build-depends. Thanks to the always amazing Pavel Sanda
    for the hint.
  * Replace suggest for dvipost with latex-xcolor.

 -- Sven Hoexter <hoexter@debian.org>  Fri, 26 Sep 2014 11:10:24 +0200

=== debian/control ===
Source: lyx
Maintainer: Debian LyX Maintainers <pkg-lyx-devel@lists.alioth.debian.org>
Uploaders: Per Olofsson <pelle@debian.org>, Sven Hoexter <hoexter@debian.org>, Nick Andrik <nick.andrik@gmail.com>
Section: editors
Priority: optional
Standards-Version: 3.9.4
Vcs-Git: git://anonscm.debian.org/pkg-lyx/lyx.git
Vcs-Browser: http://anonscm.debian.org/gitweb/?p=pkg-lyx/lyx.git
Homepage: http://www.lyx.org/
Build-Depends: python, debhelper (>= 9), bc,
 libz-dev, libx11-dev, libenchant-dev, libmythes-dev,
 autotools-dev, libqt4-dev, libboost-dev, libmagic-dev,
 libboost-filesystem-dev, libboost-signals-dev,
 libboost-iostreams-dev, libboost-regex-dev, libboost-test-dev,
 pkg-config, tex-common

Package: lyx
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, lyx-common (= ${source:Version}), xdg-utils
Recommends: texlive-latex-recommended, texlive-latex-extra, texlive-science, texlive-generic-recommended, texlive-generic-extra, texlive-fonts-recommended, preview-latex-style, dvipng, imagemagick, psutils, ghostscript, poppler-utils, fonts-lyx, evince-gtk | pdf-viewer, elyxer | tex4ht | hevea | tth | latex2html
Suggests: rcs, latex-xcolor, groff, libtiff-tools, gnuhtml2latex, wv, chktex, noweb, sgmltools-lite, linuxdoc-tools, writer2latex, latex2rtf, librsvg2-bin | inkscape, texlive-xetex, etoolbox, lyx-dbg (= ${binary:Version})
Description: document processor
 LyX is an almost WYSIWYG-frontend for LaTeX. It makes the power and
 typesetting quality of LaTeX available for people who are used to
 word processors. Since LyX supports LaTeX's concept of general
 mark-ups, it is even easier and faster to create professional quality
 documents with it than with usual word processors. It is also
 possible to use LaTeX commands within LyX, so nothing of LaTeX's
 power is lost.
 .
 You can extend the functionality of LyX by installing these packages:
  * chktex: check for typographical errors
  * gnuhtml2latex: import HTML documents
  * groff: improved table formatting in plain text exports
  * latex-xcolor: for coloured change tracking
  * librsvg2-bin, inkscape: use the SVG image format in LyX documents
  * linuxdoc-tools: export SGML LinuxDoc documents
  * mythes-*: use the OpenOffice.org/LibreOffice Thesaurus
  * noweb: import noweb files
  * rcs: integrated version control
  * sgmltools-lite: export SGML DocBook documents
  * texlive-xetex, etoolbox: use the XeTeX typesetting system
  * wv: import MS Word documents

Package: lyx-common
Architecture: all
Pre-Depends: ${misc:Pre-Depends}
Depends: ${misc:Depends}, ${python:Depends}
Recommends: lyx
Description: architecture-independent files for LyX
 This package contains LyX's common files which are not
 architecture-dependent. See the lyx package for a description of LyX
 itself.

Package: lyx-dbg
Architecture: any
Depends: ${misc:Depends}, lyx (= ${binary:Version})
Section: debug
Priority: extra
Description: debugging symbols for LyX
 This package contains debugging symbols for LyX.

Package: fonts-lyx
Architecture: all
Section: fonts
Depends: ${misc:Depends}
Description: TrueType versions of some TeX fonts used by LyX
 These fonts are needed for the visual math symbol display in
 LyX. They can also be used to display MathML in Gecko-based browsers
 like Iceweasel.
 .
 The following fonts are included in this package:
  * cmex10  - Computer Modern math extension
  * cmmi10  - Computer Modern math italic
  * cmr10   - Computer Modern Roman
  * cmsy10  - Computer Modern math symbols
  * esint10 - Alternate integrals
  * eufm10  - Euler Fraktur (medium-weight)
  * msam10  - Extra math symbols, first series
  * msbm10  - Extra math symbols, second series, including Blackboard Bold
  * wasy10  - Waldi symbol fonts

Package: ttf-lyx
Architecture: all
Section: oldlibs
Priority: extra
Pre-Depends: ${misc:Pre-Depends}
Depends: ${misc:Depends}, fonts-lyx
Description: transitional package
 This package only exists to facilitate the renaming of ttf-lyx to
 fonts-lyx. You may safely remove this package once no other package
 depends on it.

=== debian/rules ===
--- 
+++ 
@@ -7,6 +7,7 @@
 
 override_dh_auto_configure:
 	dh_auto_configure -- \
+		--disable-silent-rules \
 		--disable-rpath \
 		--enable-warnings \
 		--enable-nls \
@@ -26,6 +27,11 @@
 	mkdir -p debian/lyx/usr/share
 	mv debian/lyx-common/usr/bin debian/lyx/usr/bin
 	mv debian/lyx-common/usr/share/man debian/lyx/usr/share/man
+
+# move desktop file and svg icon to the arch package
+	mv debian/lyx-common/usr/share/applications debian/lyx/usr/share
+	rm -r debian/lyx-common/usr/share/icons/hicolor/48x48/
+	mv debian/lyx-common/usr/share/icons debian/lyx/usr/share
 
 # move fonts to font package
 	mkdir -p debian/fonts-lyx/usr/share/fonts/truetype

=== debian/watch ===
version=3
ftp://ftp.lyx.org/pub/lyx/stable/2.1.x/lyx-([\d\.]+)\.tar\.xz

## lyx 2.1.3

=== debian/changelog ===
lyx (2.1.3-1build1) wily; urgency=medium

  * No-change rebuild using boost 1.58.

 -- Matthias Klose <doko@ubuntu.com>  Fri, 28 Aug 2015 12:54:13 +0000

lyx (2.1.3-1) unstable; urgency=low

  * New upstream release.
  * No longer override_dh_builddep in d/rules - xz is a default
    for quite some time.
  * Add Replaces and Breaks to the lyx binary package to support
    the icon move from lyx-common to lyx which was implemented in
    2.1.2-3. Closes: #767616

 -- Sven Hoexter <hoexter@debian.org>  Mon, 16 Feb 2015 11:55:15 +0100

lyx (2.1.2-3) unstable; urgency=low

  * Bumped up Standards version to 3.9.6 (no changes needed)
  * Add support for upstream GPG signature tarball check
  * Update copyright file and convert to machine-readable format
  * Specify NEWS as the upstream changelog to be included in the binary
    packages
  * Mark fonts-lyx binary package as Multi-Arch: foreign
  * Add a lintian override for lyx-common's link to external mythes directory
  * Add a patch that populates .desktop file with a Keywords field
  * Fix permissions for some scripts

 -- Nick Andrik <nick.andrik@gmail.com>  Sun, 12 Oct 2014 01:13:52 +0200
